List vocabulary words
curl --request GET \
--url https://www.api.vook.ai/api/v1/dictionary/vocabulary \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.api.vook.ai/api/v1/dictionary/vocabulary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.api.vook.ai/api/v1/dictionary/vocabulary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.api.vook.ai/api/v1/dictionary/vocabulary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.api.vook.ai/api/v1/dictionary/vocabulary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.api.vook.ai/api/v1/dictionary/vocabulary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.api.vook.ai/api/v1/dictionary/vocabulary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"language": "en",
"word": "Tumblr",
"created_at": "2024-01-15T10:30:00.000Z"
}
],
"total_count": 100,
"current_page": 1,
"last_page": 10
}Dictionary (API v1)
List vocabulary words
You list the words your transcriptions in one language learn to recognize. The list includes starter words added when you set up your account.
GET
/
api
/
v1
/
dictionary
/
vocabulary
List vocabulary words
curl --request GET \
--url https://www.api.vook.ai/api/v1/dictionary/vocabulary \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.api.vook.ai/api/v1/dictionary/vocabulary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.api.vook.ai/api/v1/dictionary/vocabulary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.api.vook.ai/api/v1/dictionary/vocabulary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.api.vook.ai/api/v1/dictionary/vocabulary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.api.vook.ai/api/v1/dictionary/vocabulary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.api.vook.ai/api/v1/dictionary/vocabulary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"language": "en",
"word": "Tumblr",
"created_at": "2024-01-15T10:30:00.000Z"
}
],
"total_count": 100,
"current_page": 1,
"last_page": 10
}Authorizations
Your Vook API key (mint one from the web app).
Query Parameters
Page number
Example:
"1"
Number of items per page. Defaults to 10, up to 100.
Pattern:
^(100|[1-9]\d?)$Example:
"10"
Language of the dictionary to list
Available options:
en, fr Response
200 - application/json
Paginated list of vocabulary words